__version__ = "1.0.2"

# --- custom ---
from custom_lib import my_file_config
from custom_lib import my_logger
from custom_lib import my_uuid
# 20260527 tak add my image
from custom_lib import my_image

MODULES = [
    my_file_config,
    my_logger,
    my_uuid,
    my_image,
]

def print_versions():
    for module in MODULES:
        version = getattr(module, "__version__", "unknown")
        print(f"# [MODULE] {module.__name__} v{version}")

def init():
    print("\n" + "#" * 60)
    print(f"# Custom_Lib v{__version__}")
    print("=" * 60)
    print_versions()
    print("#" * 60)